alphatrans(1)

NAME

alphatrans - TDF to DEC Alpha translator on OSF/1

SYNOPSIS

alphatrans [options] input-filebinary-assembler-filesymbol-table-file [symbolic-assembler-file]

DESCRIPTION

alphatrans compiles a target dependent TDF capsule into an AXP assembler file.

It is recommended that alphatrans not be invoked directly, but via the user interface tcc(1). Alpha specific options may be passed to alphatrans by passing the option -Wt,-opt to tcc(1).

OPTIONS

-Aswitch
    This option determines whether alphatrans should inline calls to alloca. This is done by default.

-Bswitch
    This option determines whether alphatrans should report floating point constants which exceed their range. This is always done by default. If this option is switched off such constants are replaced by infinity.

-Cswitch
    This option determines whether alphatrans should apply the "constants out of loops" optimisation. This optimisation is performed by default.

-Dswitch
    This option determines whether alphatrans should produce Position Independent Code (PIC). This is not done by default. This option is not supported on the SCO or FreeBSD platforms, and on the Linux platform it is supported only for ELF binary format.

-E  This option disables alphatrans&39;s constant overflow checks.

-Fswitch
    This option determines whether or not alphatrans applies the "for all" optimisation. This is not done by default.

-H  This option causes alphatrans to output debugging information. This will only work if the input TDF capsule contains debugging information.

-Iswitch
    This option determines whether alphatrans should apply the "inlining" optimisation. This optimisation is performed by default.

-Kstr
    Causes alphatrans to optimise its code for a particular processor model, determined by str. Currently, this option has no effect.

-Mswitch
    If this option is on, alphatrans preserves division by a floating point number rather than replacing it by multiplication by the reciprocal of the number. While the latter produces faster code, it may lead to rounding errors. By default, division by constants is preserved.

-P  This option causes alphatrans to output profiling information suitable for use with prof(1) or a similar tool (see individual manual pages for details). This is not fully implemented on the current version of alphatrans.

-Q  This option causes alphatrans to quit before processing its input files. This is particularly useful in conjunction with -V.

-Rswitch
    This option determines whether alphatrans should immediately round every floating point operation to its appropriate range. This produces slower code, but is necessary for strict IEEE conformance. The default is not to round after every operation.

-S  When this option is present alphatrans will produce a symbolic assembler file in addition to its normal outputs. In this case the name of the symbolic assembler file must be present on the command line.

-Uswitch
    This option determines whether alphatrans should apply the "loop unrolling" optimisation. This optimisation is performed by default.

-V  This option causes alphatrans to print its version number and the version of the TDF specification it supports.

-Wswitch
    This option determines whether alphatrans should make string literals writable. At present the C producer does not make use of this facility, so strings are writable.

-X  This option disables all optimisations. All alphatrans&39;s optimisations are believed to be valid, so that any error in optimisation is a genuine bug.

-Z  This option causes alphatrans to print the version number of all the TDF capsules it decodes.

-d  To be documented.

-s  To be documented.

-u  To be documented.

SEE ALSO

as(1), prof(1), tcc(1)